/* DCDIR.PH */
/* Y.L. Noyelle, Supelec, France 1996 */

#ifndef DCDIR_PH
#define DCDIR_PH
#include "dcrecdir.th"

/*~Private*/
typedef struct _tCondStkElt TcondStkElt;
/*~Public*/

/* Functions profiles */
extern const char *adrBegPPNbSuffix(void (**)(Tchar));
extern void checkCondCompilStk(void);
extern void deleteRemainingMacros(void);
extern void expandIfMac(void);
extern void initDir(void);
extern void manageDir(void);
extern TcharStream nxtChFromMac(void);
extern void restoPnxtChState(void);
extern bool transmitDP(void);

/* External variables */
extern uint ctrCSE;  /* number of conditional directive stack elements */
extern bool gblArgColl;
extern bool insideDefineBody;
extern bool noExpand;
extern TcondStkElt *pTopCondStk;

#endif  /* ifndef DCDIR_PH */
/* End DCDIR.PH */
