/* DCDIR.PH */
/* Y.L. Noyelle, Supelec, France 1996 */

#ifndef DCDIR_PH
#define DCDIR_PH
#include "dcrecdir.th"

/*~Private*/
typedef struct {
  void *pCondStk;
  bool argColl, noExpand;
  TmacExpNb nbNxtMac;
} TsavMacEnvir;
/*~Public*/

/* Functions profiles */
extern const char *adrBegPPNbSuffix(void (**)(Tchar));
extern void checkCondCompilStk(void);
extern void createDPFrame(TsavMacEnvir *);
extern void deleteRemainingMacros(void);
extern void exitDPFrame(const TsavMacEnvir *);
extern void expandIfMac(void);
extern void initDir(void);
extern void manageDir(void);
extern void restoPConc(void);
extern void restoPnxtChState(void);
extern bool transmitDP(void);

/* External variables */
extern uint ctrCSE;  /* number of conditional directive stack elements */
extern bool insideDefineBody;
extern bool noExpand;

#endif  /* ifndef DCDIR_PH */
/* End DCDIR.PH */
